# Магические методы сравнения
# __eq__ - ==
# __ne__ - !=
# __lt__ <
# __le__ <=
# __gt__ >
# __ge__ >=


class Rectangle:

    def __init__(self, a, b) -> None:
        self.a = a
        self.b = b

    @property
    def area(self):
        return self.a * self.b

    def __eq__(self, other):
        if isinstance(other, Rectangle):
            return self.a == other.a and self.b == other.b
        
    def __eq__(self, other):
        if isinstance(other, Rectangle):
            return self.area < other.area
        elif isinstance(other, (int, float)):
            return self.area < other
        
    def __le__(self, other):
        return self==other or  self<other


class Point:
    
    def __init__(self) -> None:
        pass
        


def main():
    pass


if __name__ == '__main__':
    main()